I cannot install flash player 10 in iceweasel?

If none of the more specific forums is the right place to ask

Postby lego » 2008-11-02 12:25

I don't want new applications, I just want a flash player. I tried with flash player 10 because it's the only one I can get from adobe, but for me with 7,8, or 9 would be ok.

The problem is that now I cannot get the old flash players, only the 10th, and one or two years ago I did something like apt-get install flashplugin-nonfree, nowadays I cannot do it.

I tried to upgrade to lenny, but I got dependency problems:
$ aptitude update && aptitude dist-upgrade
(...blablabla...The score is -337...)
lego
 
Posts: 56
Joined: 2008-01-09 09:43

Postby bugsbunny » 2008-11-02 13:09

you can get it from etch backports:
http://packages.debian.org/etch-backpor ... in-nonfree
User avatar
bugsbunny
 
Posts: 5355
Joined: 2008-07-06 17:04

Postby lego » 2008-11-02 13:24

Finally I got flash 9 from backports and it works!!
The only conclusion I got from this post is that it's not possible to use flash player 10 in iceweasel 2..

But now my system is ok!
Thank you to all!
lego
 
Posts: 56
Joined: 2008-01-09 09:43

Postby 987687 » 2008-11-02 13:28

lego wrote:Finally I got flash 9 from backports and it works!!
The only conclusion I got from this post is that it's not possible to use flash player 10 in iceweasel 2..

But now my system is ok!
Thank you to all!
Well, new ya know, if someone else has the question you will be all over it :D
Desktop - 3.2GHz core2 quad
Laptop - 2.4GHz core2 duo ancient macbook
Bring back the penguin!! http://tinyurl.com/d57jwv
User avatar
987687
 
Posts: 2121
Joined: 2007-06-11 10:58
Location: Vacation Land

Postby redchair » 2008-11-18 16:49

I have been having the same problem with installing Adobe Flash Player 10 on an etch system. I use Firefox 2.0.0.18 as downloaded directly from Mozilla. I have always used the .tar.gz method and copied the libflashplayer.so file directly to my ~/.mozilla/plugins directory up until the last version of Flash Player 9 with success. Success is defined as having Flash Player appear in about:plugins, and being able to play flash content such as Youtube.

It is important to note that Flash Player 10 is detected by Firefox but doesn't load as a plugin. The only evidence that the plugin is detected is that the browser adds the following entry and value to the about:config list; trying to reset the value does not work until Flash Plugin 10 is removed from the plugins directory and firefox is restarted:
user_pref("plugin.soname.list", "libXt.so:libXext.so");

I have found some clues on google that an "updated system" is necessary for success with Flash Player 10, and it may be related to needing libgtk2.1 (I currently have libgtk2.0). My system is a 32 bit system with all 32 bit applications.

I would like to request that a few other people post with the output of the hash below to make sure we are all using the same "broken" version of Flash Player 10.
$ openssl dgst -sha1 install_flash_player_10_linux.tar.gz
SHA1(install_flash_player_10_linux.tar.gz)= 3590bf257b5d20b23f1668b1b789595d452db039
Adobe Flash Player version 10.0.12.36
.tar.gz for Linux (x86) | 3.7MB

Posts with people trying to install flash 10 on etch using the .tar.gz and copy libflashplayer.so method.
viewtopic.php?t=32133&highlight=etch+flash
viewtopic.php?t=32381&highlight=etch+flash
redchair
 
Posts: 14
Joined: 2006-06-12 19:56

Previous

Return to General Questions

Who is online

Users browsing this forum: No registered users and 26 guests

fashionable